package com.diagbot.dto;

import com.diagbot.enums.DisclaimerCodeEnum;

import java.util.Date;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月21日 下午4:23:48
 */

public class DisclaimerInformationDTO {
	private Long id;

	/**
	 * 记录创建时间
	 */
	private Date gmtCreate;

	/**
	 * 创建人，0表示无创建人值
	 */
	private String modifier;

	/**
	 * 主表id
	 */
	// private Long versionId;

	/**
	 * 标题
	 */
	private String title;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * 排序号
	 */
	private String orderNo;

	/**
	 * 1：启动，0：不启用
	 */
	private String status;

	/**
	 * 免责申明位置
	 */
	private String disclaimerCode;

	/**
	 * 备注
	 */
	private String remark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Date getGmtCreate() {
		return gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getDisclaimerCode() {
		if (disclaimerCode.equals("1")) {
			return DisclaimerCodeEnum.getName(1);
		} else if (disclaimerCode.equals("2")) {
			return DisclaimerCodeEnum.getName(2);
		} else if (disclaimerCode.equals("3")) {
			return DisclaimerCodeEnum.getName(3);
		} else {
			return disclaimerCode;
		}
	}

	public void setDisclaimerCode(String disclaimerCode) {
		this.disclaimerCode = disclaimerCode;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

}
